--[[

ARL-BeastTrain.lua

Beast Training data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= LibStub("AceLocale-3.0"):GetLocale("AckisRecipeList")
local BZONE		= LibStub("LibBabble-Zone-3.0"):GetLookupTable()

function ARL:ARL_InitBeastTraining()

	-- Have to check for duplicates and localize the entire list once conversion is complete.  Duplication checking will be easy to do when it comes time to localize.
	-- Add pets in which skill may be aquired.
	ARL:addPetList(1, "Ragged Scavenger", BZONE["Tirisfal Glades"], 2, 3, false, false)
	ARL:addPetList(2, "Night Web Spider", BZONE["Tirisfal Glades"], 3, 4, false, false)
	ARL:addPetList(3, "Forest Spider", BZONE["Elwynn Forest"], 5, 6, false, false)
	ARL:addPetList(4, "Githyiss the Vile", BZONE["Teldrassil"], 5, 5, false, false)
	ARL:addPetList(5, "Night Web Matriarch", BZONE["Tirisfal Glades"], 5, 5, false, false)
	ARL:addPetList(6, "Prairie Wolf", BZONE["Mulgore"], 5, 6, false, false)
	ARL:addPetList(7, "Snow Tracker Wolf", BZONE["Dun Morogh"], 6, 7, false, false)
	ARL:addPetList(8, "Gray Forest Wolf", BZONE["Elwynn Forest"], 7, 8, false, false)
	ARL:addPetList(9, "Prairie Stalker", BZONE["Mulgore"], 7, 8, false, false)
	ARL:addPetList(10, "Webwood Venomfang", BZONE["Teldrassil"], 7, 8, false, false)
	ARL:addPetList(11, "Winter Wolf", BZONE["Dun Morogh"], 7, 8, false, false)
	ARL:addPetList(12, "Dreadmaw Crocolisk", BZONE["Durotar"], 9, 11, false, false)
	ARL:addPetList(13, "Starving Winter Wolf", BZONE["Dun Morogh"], 8, 9, false, false)
	ARL:addPetList(14, "Webwood Silkspinner", BZONE["Teldrassil"], 8, 9, false, false)
	ARL:addPetList(15, "Prairie Wolf Alpha", BZONE["Mulgore"], 9, 10, false, false)
	ARL:addPetList(16, "Prowler", BZONE["Elwynn Forest"], 9, 10, false, false)
	ARL:addPetList(17, "Ravager Specimen", BZONE["Azuremyst Isle"], 9, 10, false, false)
	ARL:addPetList(18, "Vicious Night Web Spider", BZONE["Tirisfal Glades"], 9, 10, false, false)
	ARL:addPetList(19, "Coyote", BZONE["Westfall"], 10, 11, false, false)
	ARL:addPetList(20, "Forest Lurker", BZONE["Loch Modan"], 9, 11, false, false)
	ARL:addPetList(21, "Giant Webwood Spider", BZONE["Teldrassil"], 10, 11, false, false)
	ARL:addPetList(22, "Timber", BZONE["Dun Morogh"], 10, 10, false, true)
	ARL:addPetList(23, "Worg", BZONE["Silverpine Forest"], 10, 11, false, false)
	ARL:addPetList(24, "Coyote Packleader", BZONE["Westfall"], 11, 12, false, false)
	ARL:addPetList(25, "Lady Sathrah", BZONE["Teldrassil"], 12, 12, false, false)
	ARL:addPetList(26, "Loch Crocolisk", BZONE["Loch Modan"], 14, 15, false, false)
	ARL:addPetList(27, "Oasis Snapjaw", BZONE["The Barrens"], 15, 16, false, false)
	ARL:addPetList(28, "Tarantula", BZONE["Redridge Mountains"], 15, 16, false, false)
	ARL:addPetList(29, "Bloodsnout Worg", BZONE["Silverpine Forest"], 16, 16, false, false)
	ARL:addPetList(30, "Deepmoss Creeper", BZONE["Stonetalon Mountains"], 16, 17, false, false)
	ARL:addPetList(31, "Ghostclaw Ravager", BZONE["Ghostlands"], 16, 17, false, false)
	ARL:addPetList(32, "Wood Lurker", BZONE["Loch Modan"], 17, 18, false, false)
	ARL:addPetList(33, "Deviate Crocolisk", BZONE["Wailing Caverns"], 18, 19, false, false)
	ARL:addPetList(34, "Deepmoss Webspinner", BZONE["Stonetalon Mountains"], 19, 20, false, false)
	ARL:addPetList(35, "Ghostpaw Runner", BZONE["Ashenvale"], 19, 20, false, false)
	ARL:addPetList(36, "Greater Tarantula", BZONE["Redridge Mountains"], 19, 20, false, false)
	ARL:addPetList(37, "Shanda the Spinner", BZONE["Loch Modan"], 19, 19, false, true)
	ARL:addPetList(38, "Forest Moss Creeper", BZONE["Hillsbrad Foothills"], 20, 21, false, false)
	ARL:addPetList(39, "Kresh", BZONE["Wailing Caverns"], 20, 20, true, false)
	ARL:addPetList(40, "Besseleth", BZONE["Stonetalon Mountains"], 21, 21, true, false)
	ARL:addPetList(41, "Green Recluse", BZONE["Duskwood"], 21, 22, false, false)
	ARL:addPetList(42, "Large Loch Crocolisk", BZONE["Loch Modan"], 22, 22, false, true)
	ARL:addPetList(43, "Aku'mai Fisher", BZONE["Blackfathom Deeps"], 23, 24, true, false)
	ARL:addPetList(44, "Chatter", BZONE["Redridge Mountains"], 23, 23, false, true)
	ARL:addPetList(45, "Lupos", BZONE["Duskwood"], 23, 23, false, true)
	ARL:addPetList(46, "Creepthess", BZONE["Hillsbrad Foothills"], 24, 24, false, true)
	ARL:addPetList(47, "Black Ravager", BZONE["Duskwood"], 24, 25, false, false)
	ARL:addPetList(48, "Giant Moss Creeper", BZONE["Hillsbrad Foothills"], 24, 25, false, false)
	ARL:addPetList(49, "Leech Widow", BZONE["Wetlands"], 24, 24, false, true)
	ARL:addPetList(50, "Black Ravager Mastiff", BZONE["Duskwood"], 25, 26, false, false)
	ARL:addPetList(51, "Ghamoo-ra", BZONE["Blackfathom Deeps"], 25, 25, true, false)
	ARL:addPetList(52, "Giant Wetlands Crocolisk", BZONE["Wetlands"], 25, 26, false, false)
	ARL:addPetList(53, "Aku'mai Snapjaw", BZONE["Blackfathom Deeps"], 26, 27, true, false)
	ARL:addPetList(54, "Elder Moss Creeper", BZONE["Hillsbrad Foothills"], 26, 27, false, false)
	ARL:addPetList(55, "Ghostpaw Alpha", BZONE["Ashenvale"], 27, 28, false, false)
	ARL:addPetList(56, "Naraxis", BZONE["Duskwood"], 27, 27, false, true)
	ARL:addPetList(57, "Wildthorn Lurker", BZONE["Ashenvale"], 28, 29, false, false)
	ARL:addPetList(58, "Snapjaw", BZONE["Hillsbrad Foothills"], 30, 31, false, false)
	ARL:addPetList(59, "Plains Creeper", BZONE["Arathi Highlands"], 32, 33, false, false)
	ARL:addPetList(60, "Sparkleshell Snapper", BZONE["Thousand Needles"], 34, 35, false, false)
	ARL:addPetList(61, "Crag Coyote", BZONE["Badlands"], 35, 36, false, false)
	ARL:addPetList(62, "Drywallow Crocolisk", BZONE["Dustwallow Marsh"], 35, 36, false, false)
	ARL:addPetList(63, "Giant Plains Creeper", BZONE["Arathi Highlands"], 35, 36, false, false)
	ARL:addPetList(64, "Barnabus", BZONE["Badlands"], 38, 38, false, true)
	ARL:addPetList(65, "Darkfang Creeper", BZONE["Dustwallow Marsh"], 38, 39, false, false)
	ARL:addPetList(66, "Mottled Drywallow Crocolisk", BZONE["Dustwallow Marsh"], 38, 39, false, false)
	ARL:addPetList(67, "Ripscale", BZONE["Dustwallow Marsh"], 39, 39, false, true)
	ARL:addPetList(68, "Deathstrike Tarantula", BZONE["Swamp of Sorrows"], 40, 41, false, false)
	ARL:addPetList(69, "Drywallow Daggermaw", BZONE["Dustwallow Marsh"], 40, 41, false, false)
	ARL:addPetList(70, "Longtooth Runner", BZONE["Feralas"], 40, 41, false, false)
	ARL:addPetList(71, "Mudrock Snapjaw", BZONE["Dustwallow Marsh"], 41, 42, false, false)
	ARL:addPetList(72, "Sawtooth Snapper", BZONE["Swamp of Sorrows"], 41, 42, false, false)
	ARL:addPetList(73, "Old Cliff Jumper", BZONE["The Hinterlands"], 42, 42, false, true)
	ARL:addPetList(74, "Snarler", BZONE["Feralas"], 42, 42, false, true)
	ARL:addPetList(75, "Deadmire", BZONE["Dustwallow Marsh"], 45, 45, false, false)
	ARL:addPetList(76, "Felpaw Wolf", BZONE["Felwood"], 47, 48, false, false)
	ARL:addPetList(77, "Timberweb Recluse", BZONE["Azshara"], 47, 48, false, false)
	ARL:addPetList(78, "Death Howl", BZONE["Felwood"], 49, 49, false, true)
	ARL:addPetList(79, "Rekk'tilac", BZONE["Searing Gorge"], 48, 48, false, true)
	ARL:addPetList(80, "Saltwater Snapjaw", BZONE["The Hinterlands"], 49, 50, false, false)
	ARL:addPetList(81, "Cave Creeper", BZONE["Blackrock Depths"], 50, 52, false, false)
	ARL:addPetList(82, "Vilebranch Raiding Wolf", BZONE["The Hinterlands"], 50, 51, false, false)
	ARL:addPetList(83, "Felpaw Ravager", BZONE["Felwood"], 51, 52, false, false)
	ARL:addPetList(84, "Ironback", BZONE["The Hinterlands"], 51, 51, false, true)
	ARL:addPetList(85, "Uhk'loc", BZONE["Un'Goro Crater"], 52, 53, false, true)
	ARL:addPetList(86, "Diseased Wolf", BZONE["Western Plaguelands"], 53, 54, false, false)
	ARL:addPetList(87, "Plague Lurker", BZONE["Western Plaguelands"], 54, 55, false, false)
	ARL:addPetList(88, "Bloodaxe Worg", BZONE["Blackrock Spire"], 56, 57, true, false)
	ARL:addPetList(89, "Quillfang Ravager", BZONE["Hellfire Peninsula"], 62, 63, false, false)
	ARL:addPetList(90, "Thornfang Venomspitter", BZONE["Hellfire Peninsula"], 62, 63, false, false)
	ARL:addPetList(91, "Dreadfang Lurker", BZONE["Terokkar Forest"], 63, 64, false, false)
	ARL:addPetList(92, "Dreadfang Widow", BZONE["Terokkar Forest"], 64, 65, false, false)
	ARL:addPetList(93, "Rema", BZONE["Blade's Edge Mountains"], 66, 66, false, false)
	ARL:addPetList(94, "Scorpid Worker", BZONE["Durotar"], 3, 3, false, false)
	ARL:addPetList(95, "Sarkoth", BZONE["Durotar"], 4, 4, false, false)
	ARL:addPetList(96, "Pygmy Surf Crawler", BZONE["Durotar"], 5, 6, false, false)
	ARL:addPetList(97, "Strigid Owl", BZONE["Teldrassil"], 5, 6, false, false)
	ARL:addPetList(98, "Ice Claw Bear", BZONE["Dun Morogh"], 7, 8, false, false)
	ARL:addPetList(99, "Elder Springpaw", BZONE["Eversong Woods"], 8, 9, false, false)
	ARL:addPetList(100, "Strigid Hunter", BZONE["Teldrassil"], 8, 9, false, false)
	ARL:addPetList(101, "Young Forest Bear", BZONE["Elwynn Forest"], 8, 9, false, false)
	ARL:addPetList(102, "Encrusted Surf Crawler", BZONE["Durotar"], 9, 10, false, false)
	ARL:addPetList(103, "Venomtail Scorpid", BZONE["Durotar"], 9, 10, false, false)
	ARL:addPetList(104, "Death Flayer", BZONE["Durotar"], 11, 11, false, true)
	ARL:addPetList(105, "Ferocious Grizzled Bear", BZONE["Silverpine Forest"], 11, 12, false, false)
	ARL:addPetList(106, "Mangeclaw", BZONE["Dun Morogh"], 11, 11, false, false)
	ARL:addPetList(107, "Thistle Bear", BZONE["Darkshore"], 11, 12, false, false)
	ARL:addPetList(108, "Bjarn", BZONE["Dun Morogh"], 12, 12, false, true)
	ARL:addPetList(109, "Tide Crawler", BZONE["Darkshore"], 12, 14, false, false)
	ARL:addPetList(110, "Ghostclaw Lynx", BZONE["Ghostlands"], 13, 14, false, false)
	ARL:addPetList(111, "Black Bear Patriarch", BZONE["Loch Modan"], 16, 17, false, false)
	ARL:addPetList(112, "Ghostclaw Ravager", BZONE["Ghostlands"], 16, 17, false, false)
	ARL:addPetList(113, "Shore Crawler", BZONE["Westfall"], 17, 18, false, false)
	ARL:addPetList(114, "Den Mother", BZONE["Darkshore"], 18, 19, false, false)
	ARL:addPetList(115, "Clattering Crawler", BZONE["Ashenvale"], 19, 20, false, false)
	ARL:addPetList(116, "Ghost Saber", BZONE["Darkshore"], 19, 20, false, false)
	ARL:addPetList(117, "Ol' Sooty", BZONE["Loch Modan"], 20, 20, false, false)
	ARL:addPetList(118, "Ashenvale Bear", BZONE["Ashenvale"], 21, 22, false, false)
	ARL:addPetList(119, "Gray Bear", BZONE["Hillsbrad Foothills"], 21, 22, false, false)
	ARL:addPetList(120, "Skittering Crustacean", BZONE["Blackfathom Deeps"], 22, 23, true, false)
	ARL:addPetList(121, "Snapping Crustacean", BZONE["Blackfathom Deeps"], 23, 24, true, false)
	ARL:addPetList(122, "Barbed Crustacean", BZONE["Blackfathom Deeps"], 25, 26, true, false)
	ARL:addPetList(123, "Elder Ashenvale Bear", BZONE["Ashenvale"], 25, 26, false, false)
	ARL:addPetList(124, "Scorpashi Snapper", BZONE["Desolace"], 30, 31, false, false)
	ARL:addPetList(125, "Scorpid Reaver", BZONE["Thousand Needles"], 31, 32, false, false)
	ARL:addPetList(126, "Scorpashi Lasher", BZONE["Desolace"], 34, 35, false, false)
	ARL:addPetList(127, "Vile Sting", BZONE["Thousand Needles"], 35, 35, true, false)
	ARL:addPetList(128, "Drywallow Snapper", BZONE["Dustwallow Marsh"], 37, 38, false, false)
	ARL:addPetList(129, "Venomlash Scorpid", BZONE["Uldaman"], 39, 40, false, true)
	ARL:addPetList(130, "Scorpid Hunter", BZONE["Tanaris"], 40, 41, false, false)
	ARL:addPetList(131, "Silt Crawler", BZONE["Swamp of Sorrows"], 40, 41, false, false)
	ARL:addPetList(132, "Ironfur Bear", BZONE["Feralas"], 41, 42, false, false)
	ARL:addPetList(133, "King Bangalash", BZONE["Stranglethorn Vale"], 43, 43, true, false)
	ARL:addPetList(134, "Monstrous Crawler", BZONE["Swamp of Sorrows"], 43, 44, false, false)
	ARL:addPetList(135, "Old Grizzlegut", BZONE["Feralas"], 43, 43, false, true)
	ARL:addPetList(136, "Ironfur Patriarch", BZONE["Feralas"], 48, 49, false, false)
	ARL:addPetList(137, "Angerclaw Mauler", BZONE["Felwood"], 49, 50, false, false)
	ARL:addPetList(138, "Ironbeak Hunter", BZONE["Felwood"], 50, 51, false, false)
	ARL:addPetList(139, "Mongress", BZONE["Felwood"], 50, 50, false, true)
	ARL:addPetList(140, "Olm the Wise", BZONE["Felwood"], 52, 52, false, true)
	ARL:addPetList(141, "Clack the Reaver", BZONE["Blasted Lands"], 53, 53, false, true)
	ARL:addPetList(142, "Shardtooth Bear", BZONE["Winterspring"], 53, 54, false, false)
	ARL:addPetList(143, "Deathlash Scorpid", BZONE["Burning Steppes"], 54, 55, false, false)
	ARL:addPetList(144, "Winterspring Owl", BZONE["Winterspring"], 54, 56, false, false)
	ARL:addPetList(145, "Diseased Grizzly", BZONE[" Western Plaguelands"], 55, 56, false, false)
	ARL:addPetList(146, "Elder Shardtooth", BZONE["Winterspring"], 57, 58, false, false)
	ARL:addPetList(147, "Winterspring Screecher", BZONE["Winterspring"], 57, 59, false, false)
	ARL:addPetList(148, "Male Kaliri Hatchling", BZONE["Hellfire Peninsula"], 61, 61, false, false)
	ARL:addPetList(150, "Scorpid Bonecrawler", BZONE["Terokkar Forest"], 64, 65, false, false)
	ARL:addPetList(151, "Ravenous Windroc", BZONE["Nagrand"], 65, 66, false, false)
	ARL:addPetList(152, "Windroc Hunter", BZONE["Nagrand"], 65, 65, false, false)
	ARL:addPetList(153, "Greater Windroc", BZONE["Nagrand"], 66, 67, false, false)
	ARL:addPetList(154, "Windroc Huntress", BZONE["Nagrand"], 66, 66, false, false)
	ARL:addPetList(155, "Gutripper", BZONE["Nagrand"], 67, 67, true, false)
	ARL:addPetList(156, "Shadowwing Owl", BZONE["Shadowmoon Valley"], 67, 67, false, false)
	ARL:addPetList(157, "Ripfang Lynx", BZONE["Netherstorm"], 68, 69, false, false)
	ARL:addPetList(158, "Mottled Boar", BZONE["Durotar"], 1, 2, false, false)
	ARL:addPetList(159, "Young Thistle Boar", BZONE["Teldrassil"], 1, 2, false, false)
	ARL:addPetList(160, "Thistle Boar", BZONE["Teldrassil"], 2, 3, false, false)
	ARL:addPetList(161, "Battleboar", BZONE["Mulgore"], 3, 4, false, false)
	ARL:addPetList(162, "Small Crag Boar", BZONE["Dun Morogh"], 3, 3, false, false)
	ARL:addPetList(163, "Bristleback Battleboar", BZONE["Mulgore"], 4, 5, false, false)
	ARL:addPetList(164, "Crag Boar", BZONE["Dun Morogh"], 5, 6, false, false)
	ARL:addPetList(165, "Dire Mottled Boar", BZONE["Durotar"], 6, 7, false, false)
	ARL:addPetList(166, "Large Crag Boar", BZONE["Dun Morogh"], 6, 7, false, false)
	ARL:addPetList(167, "Elder Crag Boar", BZONE["Dun Morogh"], 7, 8, false, false)
	ARL:addPetList(168, "Porcine Entourage", BZONE["Elwynn Forest"], 7, 7, false, false)
	ARL:addPetList(169, "Rockhide Boar", BZONE["Elwynn Forest"], 7, 8, false, false)
	ARL:addPetList(170, "Stonetusk Boar", BZONE["Elwynn Forest"], 7, 8, false, false)
	ARL:addPetList(171, "Elder Mottled Boar", BZONE["Durotar"], 8, 9, false, false)
	ARL:addPetList(172, "Princess", BZONE["Elwynn Forest"], 9, 9, false, false)
	ARL:addPetList(173, "Scarred Crag Boar", BZONE["Dun Morogh"], 9, 10, false, false)
	ARL:addPetList(174, "Corrupted Mottled Boar", BZONE["Durotar"], 10, 11, false, false)
	ARL:addPetList(175, "Longsnout", BZONE["Elwynn Forest"], 10, 11, false, false)
	ARL:addPetList(176, "Mountain Boar", BZONE["Loch Modan"], 10, 11, false, false)
	ARL:addPetList(177, "Young Goretusk", BZONE["Westfall"], 12, 13, false, false)
	ARL:addPetList(178, "Goretusk", BZONE["Westfall"], 14, 15, false, false)
	ARL:addPetList(179, "Mangy Mountain Boar", BZONE["Loch Modan"], 14, 15, false, false)
	ARL:addPetList(180, "Elder Mountain Boar", BZONE["Loch Modan"], 16, 17, false, false)
	ARL:addPetList(181, "Great Goretusk", BZONE["Redridge Mountains"], 16, 17, false, false)
	ARL:addPetList(182, "Agam'ar", BZONE["Razorfen Kraul"], 24, 25, true, false)
	ARL:addPetList(183, "Bellygrub", BZONE["Redridge Mountains"], 24, 24, false, false)
	ARL:addPetList(184, "Raging Agam'ar", BZONE["Razorfen Kraul"], 25, 26, true, false)
	ARL:addPetList(185, "Rotting Agam'ar", BZONE["Razorfen Kraul"], 28, 28, true, false)
	ARL:addPetList(186, "Ashmane Boar", BZONE["Blasted Lands"], 48, 49, false, false)
	ARL:addPetList(187, "Grunter", BZONE["Blasted Lands"], 50, 50, false, true)
	ARL:addPetList(188, "Plagued Swine", BZONE["Eastern Plaguelands"], 60, 60, false, false)
	ARL:addPetList(189, "Juvenile Snow Leopard", BZONE["Dun Morogh"], 5, 6, false, false)
	ARL:addPetList(190, "Nightsaber", BZONE["Teldrassil"], 5, 6, false, false)
	ARL:addPetList(191, "Greater Duskbat", BZONE["Tirisfal Glades"], 6, 7, false, false)
	ARL:addPetList(192, "Durotar Tiger", BZONE["Durotar"], 7, 8, false, false)
	ARL:addPetList(193, "Flatland Cougar", BZONE["Mulgore"], 7, 8, false, false)
	ARL:addPetList(194, "Elder Plainstrider", BZONE["Mulgore"], 8, 9, false, false)
	ARL:addPetList(195, "Mazzranache", BZONE["Mulgore"], 9, 9, false, true)
	ARL:addPetList(196, "Moonstalker Runt", BZONE["Darkshore"], 10, 11, false, false)
	ARL:addPetList(197, "Foreststrider Fledgling", BZONE["Darkshore"], 11, 13, false, false)
	ARL:addPetList(198, "Fleeting Plainstrider", BZONE["The Barrens"], 12, 13, false, false)
	ARL:addPetList(199, "Savannah Patriarch", BZONE["The Barrens"], 15, 16, false, false)
	ARL:addPetList(200, "Ornery Plainstrider", BZONE["The Barrens"], 16, 17, false, false)
	ARL:addPetList(201, "Giant Foreststrider", BZONE["Darkshore"], 17, 19, false, false)
	ARL:addPetList(202, "Moonstalker Sire", BZONE["Darkshore"], 17, 18, false, false)
	ARL:addPetList(203, "Starving Mountain Lion", BZONE["Hillsbrad Foothills"], 23, 24, false, false)
	ARL:addPetList(204, "Twilight Runner", BZONE["Stonetalon Mountains"], 23, 24, false, false)
	ARL:addPetList(205, "Crag Stalker", BZONE["Thousand Needles"], 25, 26, false, false)
	ARL:addPetList(206, "Feral Mountain Lion", BZONE["Hillsbrad Foothills"], 27, 28, false, false)
	ARL:addPetList(207, "Kraul Bat", BZONE["Razorfen Kraul"], 30, 31, true, false)
	ARL:addPetList(208, "Young Panther", BZONE["Stranglethorn Vale"], 30, 31, false, false)
	ARL:addPetList(209, "Young Stranglethorn Tiger", BZONE["Stranglethorn Vale"], 30, 31, false, false)
	ARL:addPetList(210, "Greater Kraul Bat", BZONE["Razorfen Kraul"], 32, 32, true, false)
	ARL:addPetList(211, "Panther", BZONE["Stranglethorn Vale"], 32, 33, false, false)
	ARL:addPetList(212, "Ridge Stalker", BZONE["Badlands"], 36, 37, false, false)
	ARL:addPetList(213, "Ridge Huntress", BZONE["Badlands"], 38, 39, false, false)
	ARL:addPetList(214, "Shrike Bat", BZONE["Uldaman"], 38, 39, true, false)
	ARL:addPetList(215, "Dark Screecher", BZONE["Blackrock Depths"], 50, 52, false, false)
	ARL:addPetList(216, "Jaguero Stalker", BZONE["Stranglethorn Vale"], 50, 50, false, false)
	ARL:addPetList(217, "Plaguebat", BZONE["Eastern Plaguelands"], 53, 55, false, false)
	ARL:addPetList(218, "Noxious Plaguebat", BZONE["Eastern Plaguelands"], 54, 56, false, false)
	ARL:addPetList(219, "Frostsaber Cub", BZONE["Winterspring"], 55, 56, false, false)
	ARL:addPetList(220, "Monstrous Plaguebat", BZONE["Eastern Plaguelands"], 56, 58, false, false)
	ARL:addPetList(221, "Grovestalker Lynx ", BZONE["Blade's Edge Mountains"], 65, 66, false, false)
	ARL:addPetList(222, "Ripfang Lynx", BZONE["Netherstorm"], 68, 69, false, false)
	ARL:addPetList(223, "Lost Torranche", BZONE["Terokkar Forest"], 70, 70, false, false)
	-- Dash 1
--"Kurzen War Tiger (32-33, Stranglethorn Vale)\n    - Stranglethorn Tiger (32-33, Stranglethorn Vale)\n    - Bonepaw Hyena (33-35, Desolace)\n    - Scarlet Tracking Hound (33-34 Elite, Scarlet Monastery)\n    - Crag Coyote (35-36, Badlands)\n    - Spot (35, Dustwallow Marsh)\n    - Swamp Jaguar (36-37, Swamp of Sorrows)\n    - Broken Tooth (37 Rare, Badlands)\n    - Feral Crag Coyote (37-38, Badlands)\n    - Magram Bonepaw (37-38, Desolace)\n    - Sin'Dall (37, Stranglethorn Vale)\n    - Elder Crag Coyote (39-40, Badlands)"
	-- Dash 2
--Bhag'thera (40 Elite, Stranglethorn Vale)\n    - Longtooth Runner (40-41, Feralas)\n    - Ridge Stalker Patriarch (40-41, Badlands)\n    - Starving Blisterpaw (41-42, Tanaris)\n    - Elder Shadowmaw Panther (42-43, Stranglethorn Vale)\n    - Old Cliff Jumper (42 Rare, The Hinterlands)\n    - Rabid Crag Coyote (42-43, Badlands)\n    - King Bangalash (43 Elite, Stranglethorn Vale)\n    - Blisterpaw Hyena (44-45, Tanaris)\n    - Rabid Blisterpaw (47-48, Tanaris)\n    - Silvermane Stalker (47-48, The Hinterlands)"
	-- Dash 3
--Grunter (50 Rare, Blasted Lands)\n    - Vilebranch Raiding Wolf (50-51 Elite, The Hinterlands)\n    - Ravage (51 Rare, Blasted Lands)\n    - Scarshield Worg (53-54, Blackrock Spire)\n    - Blackrock Worg (54-55, Burning Steppes)\n    - Bloodaxe Worg (56-57, Blackrock Spire)\n    - Rak'Shiri (57 Rare, Winterspring)\n    - Frostsaber Huntress (58-59, Winterspring)\n    - Frostsaber Stalker (59-60, Winterspring)\n    - Razorfang Hatchling (59-60, Hellfire Peninsula)\n    - Zulian Panther (60 Elite, Zul'Gurub)\n    - Zulian Stalker (61 Elite, Zul'Gurub)\n    - Rip-Blade Ravager (63, Blade's Edge Mountains)"
	-- Dive 1
--Kraul Bat (30-31 Elite, Razorfen Kraul)\n    - Young Mesa Buzzard (31-32, Arathi Highlands)\n    - Greater Kraul Bat (32 Elite, Razorfen Kraul)\n    - Mesa Buzzard (34-35, Arathi Highlands)\n    - Wayward Buzzard (35-37, Badlands)\n    - Dread Flyer (36-37, Desolace)\n    - Shrike Bat (38-39 Elite, Uldaman)"
	-- Dive 2
--Vale Screecher (41-43, Feralas)\n    - Roc (42-43, Tanaris)\n    - Fire Roc (43-45, Tanaris)\n    - Rogue Vale Screecher (44-46, Feralas)\n    - Greater Firebird (46 Rare, Tanaris)\n    - Searing Roc (47-49, Tanaris)\n    - Ironbeak Owl (48-49, Felwood)\n    - Arash-ethis (49 Rare, Feralas)"
	-- Dive 3
--Carrion Vulture (50-52, Western Plaguelands)\n    - Dark Screecher (50-52, Blackrock Depths)\n    - Ironbeak Hunter (50-51, Felwood)\n    - Spawn of Hakkar (51 Elite, The Temple of Atal'Hakkar)\n    - Ironbeak Screecher (52-53, Felwood)\n    - Olm the Wise (52 Rare, Felwood)\n    - Spiteflayer (52 Rare, Blasted Lands)\n    - Plaguebat (53-55, Eastern Plaguelands)\n    - Winterspring Owl (54-56, Winterspring)\n    - Zaricotl (55 Rare, Badlands)\n    - Winterspring Screecher (57-59, Winterspring)\n    - Kaliri Swooper (60, Hellfire Peninsula)\n    - Windroc (64-65, Nagrand)\n    - Windroc Hunter (65, Nagrand)\n    - Windroc Huntress (66, Nagrand)\n    - Windroc Matriarch (66 Spawned Elite, Nagrand)\n    - Shadowwing Owl (67, Shadowmoon Valley)\n    - Skettis Kaliri (70, Terokkar Forest)"
--ARL:addPetList(, "", BZONE[""], , , false, false)
	-- Add all possible beast skills
	ARL:addTradeSkillBeast(24495, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24508, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24509, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24510, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27350, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(35699, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(35700, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(25077, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24440, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24441, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24463, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24464, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27351, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24475, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24476, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24477, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24478, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27352, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4195, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4196, 12, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4197, 18, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4198, 24, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4199, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4200, 36, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4201, 42, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(4202, 48, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(5048, 54, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(5049, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27062, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24547, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24556, 12, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24557, 18, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24558, 24, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24559, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24560, 36, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24561, 42, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24562, 48, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24631, 54, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24632, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27362, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24494, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24511, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24512, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24513, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27354, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24490, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24514, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24515, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24516, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27353, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(17253, 1, ARL:CombinePets({1,2,3,4,5,6,7,8,9,10,11,12}) , {"HUNTER"})
	ARL:addTradeSkillBeast(17255, 10, ARL:CombinePets({13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28}), {"HUNTER"})
	ARL:addTradeSkillBeast(17256, 16, ARL:CombinePets({29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46}), {"HUNTER"})
	ARL:addTradeSkillBeast(17257, 24, ARL:CombinePets({47,48,49,50,51,52,53,54,55,56,57,58}), {"HUNTER"})
	ARL:addTradeSkillBeast(17258, 32, ARL:CombinePets({59,60,61,62,63,64,65,66}), {"HUNTER"})
	ARL:addTradeSkillBeast(17259, 40, ARL:CombinePets({67,68,69,70,71,72,73,74,75,76,77,78}), {"HUNTER"})
	ARL:addTradeSkillBeast(17260, 48, ARL:CombinePets({79,80,81,82,83,84,85,86,87}), {"HUNTER"})
	ARL:addTradeSkillBeast(17261, 56, ARL:CombinePets({88,89,90,91}), {"HUNTER"})
	ARL:addTradeSkillBeast(27050, 64, ARL:CombinePets({92,93}), {"HUNTER"})
	ARL:addTradeSkillBeast(16827, 1, ARL:CombinePets({94,95,96,97,98}), {"HUNTER"})
	ARL:addTradeSkillBeast(16828, 10, ARL:CombinePets({99,100,101,102,103,104,105,106,107,108,109,110}), {"HUNTER"})
	ARL:addTradeSkillBeast(16829, 16, ARL:CombinePets({111,112,113,114,115,116,117,118,119,120,121}), {"HUNTER"})
	ARL:addTradeSkillBeast(16830, 24, ARL:CombinePets({122,123,124,125}), {"HUNTER"})
	ARL:addTradeSkillBeast(16831, 32, ARL:CombinePets({126,127,128,129}), {"HUNTER"})
	ARL:addTradeSkillBeast(16832, 40, ARL:CombinePets({130,131,132,133,134,135}), {"HUNTER"})
	ARL:addTradeSkillBeast(3010, 48, ARL:CombinePets({136,137,138,139,140,141,142,143,144,145}), {"HUNTER"})
	ARL:addTradeSkillBeast(3009, 56, ARL:CombinePets({146,147,148}), {"HUNTER"})
	ARL:addTradeSkillBeast(27049, 64, ARL:CombinePets({150,151,152,153,154,155,156,157}), {"HUNTER"})
	ARL:addTradeSkillBeast(7371, 10, ARL:CombinePets({158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176}), {"HUNTER"})
	ARL:addTradeSkillBeast(26177, 12, ARL:CombinePets({177,178,179,180,181}), {"HUNTER"})
	ARL:addTradeSkillBeast(26178, 24, ARL:CombinePets({182,183,184,185}), {"HUNTER"})
	--ARL:addTradeSkillBeast(26179, 36, L["Charge (Rank 4) Obt"], {"HUNTER"}) -- No charge rank 4 in the game
	ARL:addTradeSkillBeast(26201, 48, ARL:CombinePets({186,187}), {"HUNTER"})
	ARL:addTradeSkillBeast(27685, 60, ARL:CombinePets({188}), {"HUNTER"})
	ARL:addTradeSkillBeast(1747, 10, ARL:CombinePets({189,190,191,192,193,194,195,196,197,198}), {"HUNTER"})
	ARL:addTradeSkillBeast(1748, 15, ARL:CombinePets({199,200,201,202,203,204}), {"HUNTER"})
	ARL:addTradeSkillBeast(1749, 25, ARL:CombinePets({205,206,207,208,209,210,211}), {"HUNTER"})
	ARL:addTradeSkillBeast(1750, 35, ARL:CombinePets({212,213,214}), {"HUNTER"})
	ARL:addTradeSkillBeast(1751, 45, ARL:CombinePets({215,216,217,218}), {"HUNTER"})
	ARL:addTradeSkillBeast(16698, 55, ARL:CombinePets({219,220}), {"HUNTER"})
	ARL:addTradeSkillBeast(27346, 65, ARL:CombinePets({221,222,223}), {"HUNTER"})
	ARL:addTradeSkillBeast(23100, 30, L["Dash (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23111, 40, L["Dash (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23112, 50, L["Dash (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23145, 30, L["Dive (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23147, 40, L["Dive (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(23148, 50, L["Dive (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(34889, 1, L["Fire Breath (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35323, 60, L["Fire Breath (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24604, 10, L["Furious Howl (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24605, 24, L["Furious Howl (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24603, 40, L["Furious Howl (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24597, 56, L["Furious Howl (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35290, 1, L["Gore (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35291, 8, L["Gore (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35292, 16, L["Gore (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35293, 24, L["Gore (Rank 4) Obt"], {"HUNTER"})
	--ARL:addTradeSkillBeast(35294, 32, L["Gore (Rank 5) Obt"], {"HUNTER"}) -- Not in game
	--ARL:addTradeSkillBeast(35295, 40, L["Gore (Rank 6) Obt"], {"HUNTER"}) -- Not in game
	ARL:addTradeSkillBeast(35296, 48, L["Gore (Rank 7) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35297, 56, L["Gore (Rank 8) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35298, 63, L["Gore (Rank 9) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(1853, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14922, 10, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14923, 20, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14924, 30, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14925, 40, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14926, 50, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(14927, 60, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(27344, 70, L["Trainer"], {"HUNTER"})
	ARL:addTradeSkillBeast(24844, 1, L["Lightning Breath (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25008, 12, L["Lightning Breath (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25009, 24, L["Lightning Breath (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25010, 36, L["Lightning Breath (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25011, 48, L["Lightning Breath (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(25012, 60, L["Lightning Breath (Rank 6) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35387, 15, L["Poison Spit (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35389, 45, L["Poison Spit (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(35392, 60, L["Poison Spit (Rank 3) Obt"], {"HUNTER"})	
	ARL:addTradeSkillBeast(24451, 30, L["Prowl (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24454, 40, L["Prowl (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24455, 50, L["Prowl (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24641, 10, L["Scorpid Poison (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24584, 24, L["Scorpid Poison (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24588, 40, L["Scorpid Poison (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24589, 56, L["Scorpid Poison (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27361, 64, L["Scorpid Poison (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24424, 10, L["Screech (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24580, 24, L["Screech (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24581, 48, L["Screech (Rank 3) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(24582, 56, L["Screech (Rank 4) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(27349, 64, L["Screech (Rank 5) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26064, 20, L["Shell Shield (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26090, 30, L["Thunderstomp (Rank 1) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26187, 40, L["Thunderstomp (Rank 2) Obt"], {"HUNTER"})
	ARL:addTradeSkillBeast(26188, 50, L["Thunderstomp (Rank 3) Obt"], {"HUNTER"})
	--ARL:addTradeSkillBeast(27063, 60, L["Thunderstomp (Rank 4) Obt"], {"HUNTER"}) -- Not in game
	ARL:addTradeSkillBeast(35348, 60, L["Warp (Rank 1) Obt"], {"HUNTER"})

end